Gamebase SDK for Unity 2.75.1 Toast Gamebase Platform

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Gamebase.Purchase Class Reference

The Purchase class provides several APIs related to purchasing processes. More...

Collaboration diagram for Gamebase.Purchase:

## Static Public Member Functions
static void | RequestPurchase (long itemSeq, GamebaseCallback.GamebaseDelegate< GamebaseResponse.Purchase.PurchasableReceipt > callback)
| Call following API of an item to purchase by using itemSeq to send a purchase request.
static void | RequestPurchase (string gamebaseProductId, GamebaseCallback.GamebaseDelegate< GamebaseResponse.Purchase.PurchasableReceipt > callback)
| Call following API of an item to purchase by using gamebaseProductId to send a purchase request.
static void | RequestPurchase (string gamebaseProductId, string payload, GamebaseCallback.GamebaseDelegate< GamebaseResponse.Purchase.PurchasableReceipt > callback)
| Call following API of an item to purchase by using gamebaseProductId to send a purchase request.
static void | RequestItemListOfNotConsumed (GamebaseRequest.Purchase.PurchasableConfiguration configuration, GamebaseCallback.GamebaseDelegate< List< GamebaseResponse.Purchase.PurchasableReceipt > > callback)
| Request for a list of non-consumed items, which have not been normally consumed (delivered, or provided) after purchase.
static void | RequestItemListOfNotConsumed (GamebaseCallback.GamebaseDelegate< List< GamebaseResponse.Purchase.PurchasableReceipt > > callback)
| Request for a list of non-consumed items, which have not been normally consumed (delivered, or provided) after purchase.
static void | RequestItemListPurchasable (GamebaseCallback.GamebaseDelegate< List< GamebaseResponse.Purchase.PurchasableItem > > callback)
| Request a item list which is purchasable.
static void | RequestItemListAtIAPConsole (GamebaseCallback.GamebaseDelegate< List< GamebaseResponse.Purchase.PurchasableItem > > callback)
| Request a item list which is purchasable.
static void | SetPromotionIAPHandler (GamebaseCallback.GamebaseDelegate< GamebaseResponse.Purchase.PurchasableReceipt > callback)
| If you want to deliver some items that have been purchased to user, you should implement this handler.
static void | RequestActivatedPurchases (GamebaseRequest.Purchase.PurchasableConfiguration configuration, GamebaseCallback.GamebaseDelegate< List< GamebaseResponse.Purchase.PurchasableReceipt > > callback)
| Request a list of payment products that are currently subscribed.
static void | RequestSubscriptionsStatus (GamebaseRequest.Purchase.PurchasableConfiguration configuration, GamebaseCallback.GamebaseDelegate< List< GamebaseResponse.Purchase.PurchasableSubscriptionStatus > > callback)
| Request a list of purchased subscription status.
static void | RequestActivatedPurchases (GamebaseCallback.GamebaseDelegate< List< GamebaseResponse.Purchase.PurchasableReceipt > > callback)
| Request a list of payment products that are currently subscribed.
static void | RequestRetryTransaction (GamebaseCallback.GamebaseDelegate< GamebaseResponse.Purchase.PurchasableRetryTransactionResult > callback)
| In case a purchase is not normally completed after a successful purchase at a store due to failure of authentication of TOAST IAP server, try to reprocess by using API.
static void | SetStoreCode (string storeCode)
| Set the store code of the current app.
static string | GetStoreCode ()
| Gets the store code of the current app.

## Detailed Description

The Purchase class provides several APIs related to purchasing processes.

Before using these APIs, You should be logged in. Because every Purchase API need informations that are obtained from GamebaseServer. If you do not have been authenticated, you will get NOT_LOGGED_IN error. Refer to the following document for the Purchase flow. http://docs.toast.com/en/Game/Gamebase/en/unity-purchase/#purchase-flow

Since
  Added 1.4.0.